{
    "parent": "minecraft:item/generated",
    "textures": {
        "layer0": "minecraft:item/snowball"
    },
	"overrides":[
	{ "predicate": {"custom_model_data":1 },"model": "minecraft:item/grenade" },
	{ "predicate": {"custom_model_data":2 },"model": "minecraft:item/grenade_on" },
	{ "predicate": {"custom_model_data":3 },"model": "minecraft:item/smoke_bomb" },
	{ "predicate": {"custom_model_data":4 },"model": "minecraft:item/molotov" },
	{ "predicate": {"custom_model_data":5 },"model": "minecraft:item/bullet" },
	{ "predicate": {"custom_model_data":6 },"model": "minecraft:item/lightbullet" },
	{ "predicate": {"custom_model_data":10 },"model": "minecraft:item/tqhjtt" }
	]
}
